.news_and_blog_parent_container{
    margin: 60px auto;
}
@media screen and (min-width: 960px) {
    .news_and_blog_parent_container{
        max-width: 960px;
    }
   
}
@media screen and (min-width: 1200px) {
    .news_and_blog_parent_container{
        max-width: 1140px;
    }
   
}


.root-banner-container{
    display: flex;
    flex-direction: column;
    align-items: center;
}
.root-banner-container h4{
    color: var(--green);
    margin-bottom: 1rem;
    font-size: 22px;
    font-weight: 600;
}
.root-banner-container h1{
    text-align: center;
    color: var(--blue);
    font-size:36px;
    font-weight: 700;
    letter-spacing: 0.2px;
}
.all_blogs_parent_container {
    margin-top: 8rem;
}
.search_blogs_container {
    display: flex;
    justify-content: center;
    width: 100%;
}
form.search-box {
    width: 100%;
    position: relative;
    margin-bottom: 0;
}
.search-box .dashicons-search {
    position: absolute;
    top: 50%;
    left: 10px;
    transform: translateY(-50%);
    color: var(--blue);
    font-size: 20px;
  }
  .search-box .search-clear {
    position: absolute;
    top: 50%;
    right: 10px;
    transform: translateY(-50%);
    color: var(--blue);
    font-size: 20px;
    cursor: pointer;
    opacity: 0;
    transition: opacity 0.2s ease;
  }
  
  .search-box:hover .search-clear {
    opacity: 1;
  }
input#searchInput {
    width: 100%;
    border: 0.5px solid var(--blue);
    border-radius: 4px;
    background-color: white;
    padding-left: 30px;
}
#searchInput::placeholder {
    color:var(--blue);
    font-weight: 400;
    font-size: 16px;
    font-family: var(--body-font);
}
.blog-card{
    margin-top: 40px;
}
.blog_featured_post_container img {
    width: 100%;
    height: 405px;
    object-fit: cover;
}
.blog_title_container h3{
    font-weight: 600;
    font-size: 26px;
    color: #000000;
    margin-top: 12px;
    line-height: 150%;

}
.blog_title_container hr{
    margin-top: 12px;
    background-color: #CDCDCD;
    margin-bottom: 0;
}
.blog_date{
    font-weight: 600;
    font-size: 16px;
    color: var(--green);
    margin-top: 12px;
    margin-bottom: 0;
}
.blog_excerpt_container{
    margin-top: 15px;
}
.blog_excerpt_container p{
    margin-bottom: 0;
    font-weight: 400;
    line-height: 28.8px;
    font-size: 18px;
    display: -webkit-box;
    -webkit-line-clamp: 3; /* Number of lines to display */
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}
.blog_a_container{
    margin-top: 35px;
}
.blog_a_container a {
    padding: 10px;
    color: var(--blue);
    font-weight: 700;
    font-size: 14px;
    border: 0.5px solid var(--blue);
    border-radius: 4px;
}
.blog_a_container a:hover{
    color: white;
    background-color: var(--blue);
}



/*page navi */
.wp-pagenavi{
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 6rem;
}

span.pages {
    display: none; 
}
.wp-pagenavi span{
    margin: 7px;
}
.wp-pagenavi a{
    margin: 7px;
    border: none;
    font-size: 20px;
    color: var(--blue);
    font-weight: bold;
}
.wp-pagenavi span.current {
    font-family: 'BIC Montserrat', sans-serif;
    font-size: 24px;
    color: var( --light-yellow);
    border: none;
    font-weight: bold;
}

a.page.larger {
    font-size: 18px;
    border: none;
    color: var(--blue);
    font-weight: bold;
}
a.nextpostslink {
    border: none;
}
/******no result found div*******/

.no-result-div{
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 8rem;

}
.no-result-div h6{
    font-size: 30px;
}
.no-result-div p{
    font-size: 16px;
}

@media screen and (max-width: 600px) {
    .root-banner-container{
        width: 85%;
        margin: auto;
    }
    .root-banner-container h4{
        font-size: 18px;
    }
    .root-banner-container h1{
        font-size: 22px;
    }
    .all_blogs_parent_container{
        width: 85%;
        margin: 5rem auto 0rem;
    }
    input#searchInput{
        text-align: center;
    }
    #searchInput::placeholder {
        text-align: center;
    }
    .search-box .dashicons-search {
        left: 60px;
    }
    .blog_featured_post_container img {
        height: 290px;
    }
    .blog_title_container h3{
        font-size: 20px !important;
        font-weight: 700;
    }
    .blog_date{
        font-size:16px;
    }
    .blog_excerpt_container p {
        font-size: 16px;
    }
}